wetrok_can_node:
  ubuntu:
    focal: [ros-jazzy-wetrok-can-node]
    jammy: [ros-jazzy-wetrok-can-node]
wetrok_msgs:
  ubuntu:
    focal: [ros-jazzy-wetrok-msgs]
    jammy: [ros-jazzy-wetrok-msgs]
ixxat_usb_to_can_v2:
  ubuntu:
    focal: [ixxat-usb-to-can-v2]
ghost_firmware:
  ubuntu:
    focal: [ghost-firmware]
sev_robot_interface_service:
  ubuntu:
    focal: [sev-robot-interface-service]
python3-intelhex:
  ubuntu: [python3-intelhex]
TBB:
  ubuntu: [libtbb-dev]
python-contextlib2:
  ubuntu:
    focal: [python3-contextlib2]
libsuitesparse-dev:
  ubuntu: [libsuitesparse-dev]
memtester:
  ubuntu: [memtester]
pylint:
  ubuntu: [pylint]
pylint3:
  ubuntu: [pylint3]
range-v3:
  ubuntu: [librange-v3-dev]
ntfs-3g:
  ubuntu: [ntfs-3g]
e2fsprogs:
  ubuntu: [e2fsprogs]
python3-psycopg2:
  ubuntu: [python3-psycopg2]
libpistache-dev:
  ubuntu: [libpistache-dev]
libpistache:
  ubuntu: [libpistache0]
nlohmann-json3-dev:
  ubuntu: [nlohmann-json3-dev]
python-deprecated:
  ubuntu:
    focal: [python3-deprecated]
python-easywebdav:
  ubuntu:
    focal: [python3-easywebdav]
python-argcomplete:
  ubuntu:
    focal: []
python3-argcomplete:
  ubuntu: [python3-argcomplete]
python3-progressbar:
  ubuntu: [python3-progressbar]
python3-dropbox:
  ubuntu: [python3-dropbox]
python3-git:
  ubuntu: [python3-git]
python3-gitlab:
  ubuntu: [python3-gitlab]
python3-tqdm:
  ubuntu: [python3-tqdm]
python3-bottle:
  ubuntu: [python3-bottle]
python3-zmq:
  ubuntu: [python3-zmq]
python3-polib:
  ubuntu: [python3-polib]
python3-humanfriendly:
  ubuntu: [python3-humanfriendly]
python3-jinja2:
  ubuntu: [python3-jinja2]
python3-setuptools-scm:
  ubuntu: [python3-setuptools-scm]
lsof:
  ubuntu: [lsof]
CGAL:
  ubuntu: [libcgal-dev]
pugixml:
  ubuntu: [libpugixml-dev]
python:
  ubuntu:
    focal: [python3]
shellcheck:
  ubuntu: [shellcheck]
ros-jazzy-status-code-generator:
  ubuntu: [ros-jazzy-status-code-generator]
libboost-stacktrace-dev:
  ubuntu: [libboost-stacktrace-dev]
libboost-exception-dev:
  ubuntu: [libboost-exception-dev]
libboost-graph-dev:
  ubuntu: [libboost-graph-dev]
python3-seaborn:
  ubuntu: [python3-seaborn]
python-pandas:
  ubuntu:
    focal: [python3-pandas]
bc:
  ubuntu: [bc]
python3-pyinotify:
  ubuntu: [python3-pyinotify]
inotify-tools:
  ubuntu: [inotify-tools]
upgrade-manager-client:
  ubuntu: upgrade-manager-client
nvme-cli:
  ubuntu: [nvme-cli]
rclone:
  ubuntu: rclone
linuxptp:
  ubuntu: linuxptp
apt-clone:
  ubuntu: apt-clone
minicom:
  ubuntu: minicom
modemmanager:
  ubuntu: modemmanager
mobile-broadband-provider-info:
  ubuntu: mobile-broadband-provider-info
ppp:
  ubuntu: ppp
nvidia-l4t-kernel-headers:
  ubuntu: nvidia-l4t-kernel-headers
unittest:
  ubuntu:
    focal: [python3-unittest2]
nlohmann_json:
  ubuntu: nlohmann-json3-dev
python-dotenv:
  ubuntu: python3-dotenv
python3-debian:
  ubuntu: python3-debian
arp-scan:
  ubuntu: arp-scan
iputils-ping:
  ubuntu: iputils-ping
sshfs:
  ubuntu: sshfs
python3-certifi:
  ubuntu: python3-certifi
python3-dateutil:
  ubuntu: python3-dateutil
ros-jazzy-sev-alphasense-checks:
  ubuntu: ros-jazzy-sev-alphasense-checks
ros-jazzy-sev-robot-checks:
  ubuntu: ros-jazzy-sev-robot-checks
bsdmainutils:
  ubuntu: bsdmainutils
liblua5.2-dev:
  ubuntu: liblua5.2-dev
flashrom:
  ubuntu: flashrom
python3-typeguard:
  ubuntu: python3-typeguard
python3-yapf:
  ubuntu: python3-yapf
lldpd:
  ubuntu: lldpd
smpl:
  ubuntu:
    focal: [ros-jazzy-smpl]
mmc-utils:
  ubuntu: mmc-utils
dnsmasq-base:
  ubuntu: dnsmasq-base
python3-keyring:
  ubuntu: python3-keyring
perl:
  ubuntu: perl-base
python3-plotly:
  ubuntu: python3-plotly
python3-smbus:
  ubuntu: python3-smbus
libqmi-utils:
  ubuntu: libqmi-utils
libpcl-dev:
  ubuntu:
    jammy: [libpcl-dev]
libpcre2-dev:
  ubuntu: libpcre2-dev
byacc:
  ubuntu: byacc
python3-pyx:
  ubuntu: python3-pyx
python3-filelock:
  ubuntu: python3-filelock
gcc-aarch64-linux-gnu-9-jetpack5:
  ubuntu: gcc-aarch64-linux-gnu-9-jetpack5
protobuf-compiler:
  ubuntu: protobuf-compiler
libprotobuf-dev:
  ubuntu: libprotobuf-dev
python3-pyroute2:
  ubuntu: [python3-pyroute2]
sev_multiagent_resource_manager_cpp_interface:
  ubuntu: [sev-multiagent-resource-manager-cpp-interface]

# Jetpack system libraries
libnvvpi2:
  ubuntu: libnvvpi2
libnvvpi:
  ubuntu: libnvvpi2
vpi2-dev:
  # L4T dependencies are not automatically installed.
  ubuntu: [vpi2-dev, nvidia-l4t-pva, nvidia-l4t-multimedia, nvidia-l4t-3d-core]
libnvinfer:
  ubuntu: libnvinfer8
libnvinfer-bin:
  ubuntu: libnvinfer-bin
libnvinfer-dev:
  ubuntu: libnvinfer-dev
libnvinfer-plugin:
  ubuntu: libnvinfer-plugin8
libnvinfer-plugin-dev:
  ubuntu: libnvinfer-plugin-dev
libnvonnxparsers:
  ubuntu: libnvonnxparsers8
libnvonnxparsers-dev:
  ubuntu: libnvonnxparsers-dev
libnvparsers:
  ubuntu: libnvparsers8
libnvparsers-dev:
  ubuntu: libnvparsers-dev
libcublas:
  ubuntu: libcublas-11-4
libcublas-11-4:
  ubuntu: libcublas-11-4
libcublas-11-8:
  ubuntu: libcublas-11-8
libcublas-dev:
  ubuntu: libcublas-dev-11-4
libcublas-dev-11-4:
  ubuntu: libcublas-dev-11-4
libcublas-dev-11-8:
  ubuntu: libcublas-dev-11-8
cuda-cudart:
  ubuntu: cuda-cudart-11-4
cuda-cudart-11-4:
  ubuntu: cuda-cudart-11-4
cuda-cudart-11-8:
  ubuntu: cuda-cudart-11-8
cuda-cudart-dev:
  ubuntu: cuda-cudart-dev-11-4
cuda-cudart-dev-11-4:
  ubuntu: cuda-cudart-dev-11-4
cuda-cudart-dev-11-8:
  ubuntu: cuda-cudart-dev-11-8
cuda-nvcc:
  ubuntu: cuda-nvcc-11-4
cuda-nvcc-11-4:
  ubuntu: cuda-nvcc-11-4
cuda-nvcc-11-8:
  ubuntu: cuda-nvcc-11-8
cuda-toolkit:
  ubuntu: cuda-toolkit-11-4
cuda-toolkit-11-4:
  ubuntu: cuda-toolkit-11-4
cuda-toolkit-11-8:
  ubuntu: cuda-toolkit-11-8
nvidia-l4t-multimedia:
  ubuntu: nvidia-l4t-multimedia
nvidia-l4t-core:
  ubuntu: nvidia-l4t-core
nvidia-l4t-pva:
  ubuntu: nvidia-l4t-pva
nvidia-l4t-3d-core:
  ubuntu: nvidia-l4t-3d-core
nvidia-l4t-cuda:
  ubuntu: nvidia-l4t-cuda
libcudla:
  ubuntu: libcudla-11-4
libcudla-11-4:
  ubuntu: libcudla-11-4
libcudla-11-8:
  ubuntu: libcudla-11-8
libcudla-dev:
  ubuntu: libcudla-dev-11-4
libcudla-dev-11-4:
  ubuntu: libcudla-dev-11-4
libcudla-dev-11-8:
  ubuntu: libcudla-dev-11-8
libnpp:
  ubuntu: libnpp-11-4
libnpp-11-4:
  ubuntu: libnpp-11-4
libnpp-11-8:
  ubuntu: libnpp-11-8
libnpp-dev:
  ubuntu: libnpp-dev-11-4
libnpp-dev-11-4:
  ubuntu: libnpp-dev-11-4
libnpp-dev-11-8:
  ubuntu: libnpp-dev-11-8

rbb_client:
  ubuntu: rbb-client
sev-meta-class-kernel:
  ubuntu: sev-meta-class-kernel
sev_rbb_tools:
  ubuntu: sev-rbb-tools
tera-renderer:
  ubuntu: t-renderer
zstd:
  ubuntu: zstd
iftop:
  ubuntu: iftop
nethogs:
  ubuntu: nethogs
lmodern:
  ubuntu: lmodern
sev-continuous-integration:
  ubuntu: sev-continuous-integration
sev-ifm-firmware:
  ubuntu: sev-ifm-firmware
python3-requests-unixsocket:
  ubuntu: python3-requests-unixsocket
chezdav:
  ubuntu: chezdav
python3-webdav:
  ubuntu: python3-webdav

# Aliases for libnabo and libpointmatcher deployed through ROS apt repositories. Used for marking conflict/replace with 7s fork.
libnabo-ros-upstream:
  ubuntu: [ros-jazzy-libnabo]
libpointmatcher-upstream:
  ubuntu: [ros-jazzy-libpointmatcher]
libmetis-dev:
  ubuntu: [libmetis-dev]
libmetis5:
  ubuntu: [libmetis5]

# OpenCV
libopencv-calib3d:
  ubuntu:
    focal: [libopencv-calib3d4.2]
    jammy: [libopencv-calib3d4.5d]
libopencv-contrib:
  ubuntu:
    focal: [libopencv-contrib4.2]
    jammy: [libopencv-contrib4.5d]
libopencv-core:
  ubuntu:
    focal: [libopencv-core4.2]
    jammy: [libopencv-core4.5d]
libopencv-dnn:
  ubuntu:
    focal: [libopencv-dnn4.2]
    jammy: [libopencv-dnn4.5d]
libopencv-features2d:
  ubuntu:
    focal: [libopencv-features2d4.2]
    jammy: [libopencv-features2d4.5d]
libopencv-flann:
  ubuntu:
    focal: [libopencv-flann4.2]
    jammy: [libopencv-flann4.5d]
libopencv-highgui:
  ubuntu:
    focal: [libopencv-highgui4.2]
    jammy: [libopencv-highgui4.5d]
libopencv-imgcodecs:
  ubuntu:
    focal: [libopencv-imgcodecs4.2]
    jammy: [libopencv-imgcodecs4.5d]
libopencv-imgproc:
  ubuntu:
    focal: [libopencv-imgproc4.2]
    jammy: [libopencv-imgproc4.5d]
libopencv-ml:
  ubuntu:
    focal: [libopencv-ml4.2]
    jammy: [libopencv-ml4.5d]
libopencv-objdetect:
  ubuntu:
    focal: [libopencv-objdetect4.2]
    jammy: [libopencv-objdetect4.5d]
libopencv-photo:
  ubuntu:
    focal: [libopencv-photo4.2]
    jammy: [libopencv-photo4.5d]
libopencv-shape:
  ubuntu:
    focal: [libopencv-shape4.2]
    jammy: [libopencv-shape4.5d]
libopencv-stitching:
  ubuntu:
    focal: [libopencv-stitching4.2]
    jammy: [libopencv-stitching4.5d]
libopencv-superres:
  ubuntu:
    focal: [libopencv-superres4.2]
    jammy: [libopencv-superres4.5d]
libopencv-video:
  ubuntu:
    focal: [libopencv-video4.2]
    jammy: [libopencv-video4.5d]
libopencv-videoio:
  ubuntu:
    focal: [libopencv-videoio4.2]
    jammy: [libopencv-videoio4.5d]
libopencv-videostab:
  ubuntu:
    focal: [libopencv-videostab4.2]
    jammy: [libopencv-videostab4.5d]
libopencv-viz:
  ubuntu:
    focal: [libopencv-viz4.2]
    jammy: [libopencv-viz4.5d]
rapidcheck:
  ubuntu:
    # TODO: it's a pure fuzztest dependency. So for now, i say we only fuzz on focal-ros1 and jammy-ros2
    focal: []
    jammy: [librapidcheck-dev]

# Workaround for getting a Rust package to automatically be recognized by ament CMake tooling.
sev_latency_profiling_message_ipc:
  ubuntu: sev-latency-profiling-message-ipc
iceoryx_utils:
  ubuntu:
    jammy: [ros-jazzy-iceoryx-utils]
sev-nanopb:
  ubuntu: [sev-nanopb]
sev-libgpiod-v2:
  ubuntu: [sev-libgpiod-v2]
sev-libfdt-dev:
  ubuntu: [sev-libfdt-dev]
linux-headers-tegra-jp5:
  ubuntu: [linux-headers-tegra-jp5]
ground-truth-evaluation:
  ubuntu: [ground-truth-evaluation]

# Production tools
zebra-scanner-devel:
  ubuntu: zebra-scanner-devel
zebra-scanner-corescanner:
  ubuntu: zebra-scanner-corescanner
